Skip to content

Notifications

This page outlines how to manage notifications received by users.

Create an entity notification channel

Operation path: POST /api/v2/entityNotificationChannels/

Authentication requirements: BearerAuth

Create a new entity notification channel.

Body parameter

{
  "properties": {
    "channelType": {
      "description": "The type of the new notification channel.",
      "enum": [
        "DataRobotCustomJob",
        "DataRobotGroup",
        "DataRobotUser",
        "Database",
        "Email",
        "InApp",
        "InsightsComputations",
        "MSTeams",
        "Slack",
        "Webhook"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "contentType": {
      "description": "The content type of the messages of the new notification channel.",
      "enum": [
        "application/json",
        "application/x-www-form-urlencoded"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "customHeaders": {
      "description": "Custom headers and their values to be sent in the new notification channel.",
      "items": {
        "properties": {
          "name": {
            "description": "The name of the header.",
            "type": "string"
          },
          "value": {
            "description": "The value of the header.",
            "type": "string"
          }
        },
        "required": [
          "name",
          "value"
        ],
        "type": "object"
      },
      "maxItems": 100,
      "type": "array",
      "x-versionadded": "v2.33"
    },
    "drEntities": {
      "description": "The IDs of the DataRobot Users, Group or Custom Job associated with the DataRobotUser, DataRobotGroup or DataRobotCustomJob channel types.",
      "items": {
        "properties": {
          "id": {
            "description": "The ID of the DataRobot entity.",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "name": {
            "description": "The name of the entity.",
            "type": "string",
            "x-versionadded": "v2.33"
          }
        },
        "required": [
          "id",
          "name"
        ],
        "type": "object"
      },
      "maxItems": 100,
      "minItems": 1,
      "type": "array",
      "x-versionadded": "v2.33"
    },
    "emailAddress": {
      "description": "The email address to be used in the new notification channel.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "languageCode": {
      "description": "The preferred language code.",
      "enum": [
        "en",
        "es_419",
        "fr",
        "ja",
        "ko",
        "ptBR"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "name": {
      "description": "The name of the new notification channel.",
      "maxLength": 100,
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "orgId": {
      "description": "The id of organization that notification channel belongs to.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "payloadUrl": {
      "description": "The payload URL of the new notification channel.",
      "format": "uri",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "relatedEntityId": {
      "description": "The ID of the related entity.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "relatedEntityType": {
      "description": "The type of the related entity.",
      "enum": [
        "deployment",
        "Deployment",
        "DEPLOYMENT",
        "customjob",
        "Customjob",
        "CUSTOMJOB"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "secretToken": {
      "description": "Secret token to be used for new notification channel.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "validateSsl": {
      "description": "Defines if  validate ssl or not in the notification channel.",
      "type": "boolean",
      "x-versionadded": "v2.33"
    },
    "verificationCode": {
      "description": "Required if the channel type is Email.",
      "type": "string",
      "x-versionadded": "v2.33"
    }
  },
  "required": [
    "channelType",
    "name",
    "relatedEntityId",
    "relatedEntityType"
  ],
  "type": "object"
}

Parameters

Name In Type Required Description
body body EntityNotificationChannelCreate false none

Example responses

201 Response

{
  "properties": {
    "channelType": {
      "description": "The type of the new notification channel.",
      "enum": [
        "DataRobotCustomJob",
        "DataRobotGroup",
        "DataRobotUser",
        "Database",
        "Email",
        "InApp",
        "InsightsComputations",
        "MSTeams",
        "Slack",
        "Webhook"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "contentType": {
      "description": "The content type of the messages of the new notification channel.",
      "enum": [
        "application/json",
        "application/x-www-form-urlencoded"
      ],
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "createdAt": {
      "description": "The date of the notification channel creation.",
      "format": "date-time",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "customHeaders": {
      "description": "Custom headers and their values to be sent in the new notification channel.",
      "items": {
        "properties": {
          "name": {
            "description": "The name of the header.",
            "type": "string"
          },
          "value": {
            "description": "The value of the header.",
            "type": "string"
          }
        },
        "required": [
          "name",
          "value"
        ],
        "type": "object"
      },
      "maxItems": 100,
      "type": "array",
      "x-versionadded": "v2.33"
    },
    "drEntities": {
      "description": "The IDs of the DataRobot Users, Group or Custom Job associated with the DataRobotUser, DataRobotGroup or DataRobotCustomJob channel types.",
      "items": {
        "properties": {
          "id": {
            "description": "The ID of the DataRobot entity.",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "name": {
            "description": "The name of the entity.",
            "type": "string",
            "x-versionadded": "v2.33"
          }
        },
        "required": [
          "id",
          "name"
        ],
        "type": "object"
      },
      "maxItems": 100,
      "minItems": 1,
      "type": "array",
      "x-versionadded": "v2.33"
    },
    "emailAddress": {
      "description": "The email address to be used in the new notification channel.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "id": {
      "description": "The ID of the notification channel.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "languageCode": {
      "description": "The preferred language code.",
      "enum": [
        "en",
        "es_419",
        "fr",
        "ja",
        "ko",
        "ptBR"
      ],
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "lastNotificationAt": {
      "description": "The timestamp of the last notification sent to the channel.",
      "format": "date-time",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "name": {
      "description": "The name of the new notification channel.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "orgId": {
      "description": "The id of organization that notification channel belongs to.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "payloadUrl": {
      "description": "The payload URL of the new notification channel.",
      "format": "uri",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "policyCount": {
      "description": "The count of policies assigned to the channel.",
      "type": "integer",
      "x-versionadded": "v2.33"
    },
    "relatedEntityId": {
      "description": "The ID of the related entity.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "relatedEntityType": {
      "description": "The type of the related entity.",
      "enum": [
        "deployment",
        "Deployment",
        "DEPLOYMENT",
        "customjob",
        "Customjob",
        "CUSTOMJOB"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "secretToken": {
      "description": "Secret token to be used for new notification channel.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "uid": {
      "description": "The identifier of the user who created the channel.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "updatedAt": {
      "description": "The date when the channel was updated.",
      "format": "date-time",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "validateSsl": {
      "description": "Defines if  validate ssl or not in the notification channel.",
      "type": [
        "boolean",
        "null"
      ],
      "x-versionadded": "v2.33"
    }
  },
  "required": [
    "channelType",
    "contentType",
    "createdAt",
    "customHeaders",
    "emailAddress",
    "id",
    "languageCode",
    "lastNotificationAt",
    "name",
    "orgId",
    "payloadUrl",
    "policyCount",
    "relatedEntityId",
    "relatedEntityType",
    "secretToken",
    "uid",
    "updatedAt",
    "validateSsl"
  ],
  "type": "object"
}

Responses

Status Meaning Description Schema
201 Created The entity notification channel was created successfully. EntityNotificationChannelResponse

Operation path: GET /api/v2/entityNotificationChannels/{relatedEntityType}/{relatedEntityId}/

Authentication requirements: BearerAuth

List the notification channels related to the entity according to the query.

Parameters

Name In Type Required Description
offset query integer true The number of notification channels to skip.
limit query integer true The maximum number of notification channels to return.
namePart query string false Only return the notification channels whose names contain the given substring.
relatedEntityId path string true The ID of the related entity.
relatedEntityType path string true The type of the related entity.

Enumerated Values

Parameter Value
relatedEntityType [deployment, Deployment, DEPLOYMENT, customjob, Customjob, CUSTOMJOB]

Example responses

200 Response

{
  "properties": {
    "count": {
      "description": "The number of channels returned.",
      "type": "integer",
      "x-versionadded": "v2.33"
    },
    "data": {
      "description": "The notification entity channels.",
      "items": {
        "properties": {
          "channelType": {
            "description": "The type of the new notification channel.",
            "enum": [
              "DataRobotCustomJob",
              "DataRobotGroup",
              "DataRobotUser",
              "Database",
              "Email",
              "InApp",
              "InsightsComputations",
              "MSTeams",
              "Slack",
              "Webhook"
            ],
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "contentType": {
            "description": "The content type of the messages of the new notification channel.",
            "enum": [
              "application/json",
              "application/x-www-form-urlencoded"
            ],
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "createdAt": {
            "description": "The date of the notification channel creation.",
            "format": "date-time",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "customHeaders": {
            "description": "Custom headers and their values to be sent in the new notification channel.",
            "items": {
              "properties": {
                "name": {
                  "description": "The name of the header.",
                  "type": "string"
                },
                "value": {
                  "description": "The value of the header.",
                  "type": "string"
                }
              },
              "required": [
                "name",
                "value"
              ],
              "type": "object"
            },
            "maxItems": 100,
            "type": "array",
            "x-versionadded": "v2.33"
          },
          "drEntities": {
            "description": "The IDs of the DataRobot Users, Group or Custom Job associated with the DataRobotUser, DataRobotGroup or DataRobotCustomJob channel types.",
            "items": {
              "properties": {
                "id": {
                  "description": "The ID of the DataRobot entity.",
                  "type": "string",
                  "x-versionadded": "v2.33"
                },
                "name": {
                  "description": "The name of the entity.",
                  "type": "string",
                  "x-versionadded": "v2.33"
                }
              },
              "required": [
                "id",
                "name"
              ],
              "type": "object"
            },
            "maxItems": 100,
            "minItems": 1,
            "type": "array",
            "x-versionadded": "v2.33"
          },
          "emailAddress": {
            "description": "The email address to be used in the new notification channel.",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "id": {
            "description": "The ID of the notification channel.",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "languageCode": {
            "description": "The preferred language code.",
            "enum": [
              "en",
              "es_419",
              "fr",
              "ja",
              "ko",
              "ptBR"
            ],
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "lastNotificationAt": {
            "description": "The timestamp of the last notification sent to the channel.",
            "format": "date-time",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "name": {
            "description": "The name of the new notification channel.",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "orgId": {
            "description": "The id of organization that notification channel belongs to.",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "payloadUrl": {
            "description": "The payload URL of the new notification channel.",
            "format": "uri",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "policyCount": {
            "description": "The count of policies assigned to the channel.",
            "type": "integer",
            "x-versionadded": "v2.33"
          },
          "relatedEntityId": {
            "description": "The ID of the related entity.",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "relatedEntityType": {
            "description": "The type of the related entity.",
            "enum": [
              "deployment",
              "Deployment",
              "DEPLOYMENT",
              "customjob",
              "Customjob",
              "CUSTOMJOB"
            ],
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "secretToken": {
            "description": "Secret token to be used for new notification channel.",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "uid": {
            "description": "The identifier of the user who created the channel.",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "updatedAt": {
            "description": "The date when the channel was updated.",
            "format": "date-time",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "validateSsl": {
            "description": "Defines if  validate ssl or not in the notification channel.",
            "type": [
              "boolean",
              "null"
            ],
            "x-versionadded": "v2.33"
          }
        },
        "required": [
          "channelType",
          "contentType",
          "createdAt",
          "customHeaders",
          "emailAddress",
          "id",
          "languageCode",
          "lastNotificationAt",
          "name",
          "orgId",
          "payloadUrl",
          "policyCount",
          "relatedEntityId",
          "relatedEntityType",
          "secretToken",
          "uid",
          "updatedAt",
          "validateSsl"
        ],
        "type": "object"
      },
      "maxItems": 1000,
      "type": "array",
      "x-versionadded": "v2.33"
    },
    "next": {
      "description": "The URL pointing to the next page.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "previous": {
      "description": "The URL pointing to the previous page.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "totalCount": {
      "description": "The total number of channels that satisfy the query.",
      "type": "integer",
      "x-versionadded": "v2.33"
    }
  },
  "required": [
    "count",
    "data",
    "next",
    "previous",
    "totalCount"
  ],
  "type": "object"
}

Responses

Status Meaning Description Schema
200 OK The entity notification channels were listed successfully. EntityNotificationChannelsListResponse

Delete an entity notification channel by relatedentitytype

Operation path: DELETE /api/v2/entityNotificationChannels/{relatedEntityType}/{relatedEntityId}/{channelId}/

Authentication requirements: BearerAuth

Delete the entity notification channel.

Parameters

Name In Type Required Description
channelId path string true The ID of the entity notification channel.
relatedEntityId path string true The ID of the related entity.
relatedEntityType path string true The type of the related entity.

Enumerated Values

Parameter Value
relatedEntityType [deployment, Deployment, DEPLOYMENT, customjob, Customjob, CUSTOMJOB]

Responses

Status Meaning Description Schema
204 No Content The entity notification channel was deleted successfully. None

Retrieve an entity notification channel by relatedentitytype

Operation path: GET /api/v2/entityNotificationChannels/{relatedEntityType}/{relatedEntityId}/{channelId}/

Authentication requirements: BearerAuth

Retrieve the entity notification channel.

Parameters

Name In Type Required Description
channelId path string true The ID of the entity notification channel.
relatedEntityId path string true The ID of the related entity.
relatedEntityType path string true The type of the related entity.

Enumerated Values

Parameter Value
relatedEntityType [deployment, Deployment, DEPLOYMENT, customjob, Customjob, CUSTOMJOB]

Example responses

200 Response

{
  "properties": {
    "channelType": {
      "description": "The type of the new notification channel.",
      "enum": [
        "DataRobotCustomJob",
        "DataRobotGroup",
        "DataRobotUser",
        "Database",
        "Email",
        "InApp",
        "InsightsComputations",
        "MSTeams",
        "Slack",
        "Webhook"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "contentType": {
      "description": "The content type of the messages of the new notification channel.",
      "enum": [
        "application/json",
        "application/x-www-form-urlencoded"
      ],
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "createdAt": {
      "description": "The date of the notification channel creation.",
      "format": "date-time",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "customHeaders": {
      "description": "Custom headers and their values to be sent in the new notification channel.",
      "items": {
        "properties": {
          "name": {
            "description": "The name of the header.",
            "type": "string"
          },
          "value": {
            "description": "The value of the header.",
            "type": "string"
          }
        },
        "required": [
          "name",
          "value"
        ],
        "type": "object"
      },
      "maxItems": 100,
      "type": "array",
      "x-versionadded": "v2.33"
    },
    "drEntities": {
      "description": "The IDs of the DataRobot Users, Group or Custom Job associated with the DataRobotUser, DataRobotGroup or DataRobotCustomJob channel types.",
      "items": {
        "properties": {
          "id": {
            "description": "The ID of the DataRobot entity.",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "name": {
            "description": "The name of the entity.",
            "type": "string",
            "x-versionadded": "v2.33"
          }
        },
        "required": [
          "id",
          "name"
        ],
        "type": "object"
      },
      "maxItems": 100,
      "minItems": 1,
      "type": "array",
      "x-versionadded": "v2.33"
    },
    "emailAddress": {
      "description": "The email address to be used in the new notification channel.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "id": {
      "description": "The ID of the notification channel.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "languageCode": {
      "description": "The preferred language code.",
      "enum": [
        "en",
        "es_419",
        "fr",
        "ja",
        "ko",
        "ptBR"
      ],
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "lastNotificationAt": {
      "description": "The timestamp of the last notification sent to the channel.",
      "format": "date-time",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "name": {
      "description": "The name of the new notification channel.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "orgId": {
      "description": "The id of organization that notification channel belongs to.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "payloadUrl": {
      "description": "The payload URL of the new notification channel.",
      "format": "uri",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "policyCount": {
      "description": "The count of policies assigned to the channel.",
      "type": "integer",
      "x-versionadded": "v2.33"
    },
    "relatedEntityId": {
      "description": "The ID of the related entity.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "relatedEntityType": {
      "description": "The type of the related entity.",
      "enum": [
        "deployment",
        "Deployment",
        "DEPLOYMENT",
        "customjob",
        "Customjob",
        "CUSTOMJOB"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "secretToken": {
      "description": "Secret token to be used for new notification channel.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "uid": {
      "description": "The identifier of the user who created the channel.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "updatedAt": {
      "description": "The date when the channel was updated.",
      "format": "date-time",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "validateSsl": {
      "description": "Defines if  validate ssl or not in the notification channel.",
      "type": [
        "boolean",
        "null"
      ],
      "x-versionadded": "v2.33"
    }
  },
  "required": [
    "channelType",
    "contentType",
    "createdAt",
    "customHeaders",
    "emailAddress",
    "id",
    "languageCode",
    "lastNotificationAt",
    "name",
    "orgId",
    "payloadUrl",
    "policyCount",
    "relatedEntityId",
    "relatedEntityType",
    "secretToken",
    "uid",
    "updatedAt",
    "validateSsl"
  ],
  "type": "object"
}

Responses

Status Meaning Description Schema
200 OK Entity notification channel retrieved successfully. EntityNotificationChannelResponse

Update an entity notification channel by relatedentitytype

Operation path: PUT /api/v2/entityNotificationChannels/{relatedEntityType}/{relatedEntityId}/{channelId}/

Authentication requirements: BearerAuth

Update the entity notification channel.

Body parameter

{
  "properties": {
    "channelType": {
      "description": "The type of the new notification channel.",
      "enum": [
        "DataRobotCustomJob",
        "DataRobotGroup",
        "DataRobotUser",
        "Database",
        "Email",
        "InApp",
        "InsightsComputations",
        "MSTeams",
        "Slack",
        "Webhook"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "contentType": {
      "description": "The content type of the messages of the new notification channel.",
      "enum": [
        "application/json",
        "application/x-www-form-urlencoded"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "customHeaders": {
      "description": "Custom headers and their values to be sent in the new notification channel.",
      "items": {
        "properties": {
          "name": {
            "description": "The name of the header.",
            "type": "string"
          },
          "value": {
            "description": "The value of the header.",
            "type": "string"
          }
        },
        "required": [
          "name",
          "value"
        ],
        "type": "object"
      },
      "maxItems": 100,
      "type": "array",
      "x-versionadded": "v2.33"
    },
    "drEntities": {
      "description": "The IDs of the DataRobot Users, Group or Custom Job associated with the DataRobotUser, DataRobotGroup or DataRobotCustomJob channel types.",
      "items": {
        "properties": {
          "id": {
            "description": "The ID of the DataRobot entity.",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "name": {
            "description": "The name of the entity.",
            "type": "string",
            "x-versionadded": "v2.33"
          }
        },
        "required": [
          "id",
          "name"
        ],
        "type": "object"
      },
      "maxItems": 100,
      "minItems": 1,
      "type": "array",
      "x-versionadded": "v2.33"
    },
    "emailAddress": {
      "description": "The email address to be used in the new notification channel.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "languageCode": {
      "description": "The preferred language code.",
      "enum": [
        "en",
        "es_419",
        "fr",
        "ja",
        "ko",
        "ptBR"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "name": {
      "description": "The name of the new notification channel.",
      "maxLength": 100,
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "payloadUrl": {
      "description": "The payload URL of the new notification channel.",
      "format": "uri",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "secretToken": {
      "description": "Secret token to be used for new notification channel.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "validateSsl": {
      "description": "Defines if  validate ssl or not in the notification channel.",
      "type": "boolean",
      "x-versionadded": "v2.33"
    },
    "verificationCode": {
      "description": "Required if the channel type is Email.",
      "type": "string",
      "x-versionadded": "v2.33"
    }
  },
  "type": "object"
}

Parameters

Name In Type Required Description
channelId path string true The ID of the entity notification channel.
relatedEntityId path string true The ID of the related entity.
relatedEntityType path string true The type of the related entity.
body body NotificationChannelWithDREntityUpdate false none

Enumerated Values

Parameter Value
relatedEntityType [deployment, Deployment, DEPLOYMENT, customjob, Customjob, CUSTOMJOB]

Responses

Status Meaning Description Schema
204 No Content The entity notification channel was updated successfully. None
400 Bad Request Email verification code is invalid. None

Create an entity notification policy

Operation path: POST /api/v2/entityNotificationPolicies/

Authentication requirements: BearerAuth

Create a new entity notification policy.

Body parameter

{
  "properties": {
    "active": {
      "description": "Whether the notification policy is active or not.",
      "type": "boolean",
      "x-versionadded": "v2.33"
    },
    "channelId": {
      "description": "The ID of the notification channel to be used to send the notification.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "channelScope": {
      "description": "Scope of the channel.",
      "enum": [
        "organization",
        "Organization",
        "ORGANIZATION",
        "entity",
        "Entity",
        "ENTITY",
        "template",
        "Template",
        "TEMPLATE"
      ],
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "eventGroup": {
      "description": "The group of the event that triggers the notification.",
      "enum": [
        "secure_config.all",
        "dataset.all",
        "file.all",
        "comment.all",
        "invite_job.all",
        "deployment_prediction_explanations_computation.all",
        "model_deployments.critical_health",
        "model_deployments.critical_frequent_health_change",
        "model_deployments.frequent_health_change",
        "model_deployments.health",
        "model_deployments.retraining_policy",
        "inference_endpoints.health",
        "model_deployments.management_agent",
        "model_deployments.management_agent_health",
        "prediction_request.all",
        "challenger_management.all",
        "challenger_replay.all",
        "model_deployments.all",
        "project.all",
        "perma_delete_project.all",
        "users_delete.all",
        "applications.all",
        "model_version.stage_transitions",
        "model_version.all",
        "use_case.all",
        "batch_predictions.all",
        "change_requests.all",
        "custom_job_run.all",
        "custom_job_run.unsuccessful",
        "insights_computation.all",
        "notebook_schedule.all",
        "monitoring.all"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "eventType": {
      "description": "The type of the event that triggers the notification.",
      "enum": [
        "secure_config.created",
        "secure_config.deleted",
        "secure_config.shared",
        "dataset.created",
        "dataset.registered",
        "dataset.deleted",
        "datasets.deleted",
        "datasetrelationship.created",
        "dataset.shared",
        "datasets.shared",
        "file.created",
        "file.registered",
        "file.deleted",
        "file.shared",
        "comment.created",
        "comment.updated",
        "invite_job.completed",
        "misc.asset_access_request",
        "misc.webhook_connection_test",
        "misc.webhook_resend",
        "misc.email_verification",
        "monitoring.spooler_channel_base",
        "monitoring.spooler_channel_red",
        "monitoring.spooler_channel_green",
        "monitoring.external_model_nan_predictions",
        "management.deploymentInfo",
        "model_deployments.None",
        "model_deployments.deployment_sharing",
        "model_deployments.model_replacement",
        "prediction_request.None",
        "prediction_request.failed",
        "model_deployments.humility_rule",
        "model_deployments.model_replacement_lifecycle",
        "model_deployments.model_replacement_started",
        "model_deployments.model_replacement_succeeded",
        "model_deployments.model_replacement_failed",
        "model_deployments.model_replacement_validation_warning",
        "model_deployments.deployment_creation",
        "model_deployments.deployment_deletion",
        "model_deployments.service_health_yellow_from_green",
        "model_deployments.service_health_yellow_from_red",
        "model_deployments.service_health_red",
        "model_deployments.data_drift_yellow_from_green",
        "model_deployments.data_drift_yellow_from_red",
        "model_deployments.data_drift_red",
        "model_deployments.accuracy_yellow_from_green",
        "model_deployments.accuracy_yellow_from_red",
        "model_deployments.accuracy_red",
        "model_deployments.health.fairness_health.green_to_yellow",
        "model_deployments.health.fairness_health.red_to_yellow",
        "model_deployments.health.fairness_health.red",
        "model_deployments.health.custom_metrics_health.green_to_yellow",
        "model_deployments.health.custom_metrics_health.red_to_yellow",
        "model_deployments.health.custom_metrics_health.red",
        "model_deployments.health.base.green",
        "model_deployments.service_health_green",
        "model_deployments.data_drift_green",
        "model_deployments.accuracy_green",
        "model_deployments.health.fairness_health.green",
        "model_deployments.health.custom_metrics_health.green",
        "model_deployments.retraining_policy_run_started",
        "model_deployments.retraining_policy_run_succeeded",
        "model_deployments.retraining_policy_run_failed",
        "model_deployments.challenger_scoring_success",
        "model_deployments.challenger_scoring_data_warning",
        "model_deployments.challenger_scoring_failure",
        "model_deployments.challenger_scoring_started",
        "model_deployments.challenger_model_validation_warning",
        "model_deployments.challenger_model_created",
        "model_deployments.challenger_model_deleted",
        "model_deployments.actuals_upload_failed",
        "model_deployments.actuals_upload_warning",
        "model_deployments.training_data_baseline_calculation_started",
        "model_deployments.training_data_baseline_calculation_completed",
        "model_deployments.training_data_baseline_failed",
        "model_deployments.custom_model_deployment_creation_started",
        "model_deployments.custom_model_deployment_creation_completed",
        "model_deployments.custom_model_deployment_creation_failed",
        "model_deployments.custom_model_deployment_secure_config_failure",
        "model_deployments.deployment_prediction_explanations_preview_job_submitted",
        "model_deployments.deployment_prediction_explanations_preview_job_completed",
        "model_deployments.deployment_prediction_explanations_preview_job_failed",
        "model_deployments.custom_model_deployment_activated",
        "model_deployments.custom_model_deployment_activation_failed",
        "model_deployments.custom_model_deployment_deactivated",
        "model_deployments.custom_model_deployment_deactivation_failed",
        "model_deployments.prediction_processing_rate_limit_reached",
        "model_deployments.prediction_data_processing_rate_limit_reached",
        "model_deployments.prediction_data_processing_rate_limit_warning",
        "model_deployments.actuals_processing_rate_limit_reached",
        "model_deployments.actuals_processing_rate_limit_warning",
        "model_deployments.deployment_monitoring_data_cleared",
        "model_deployments.deployment_launch_started",
        "model_deployments.deployment_launch_succeeded",
        "model_deployments.deployment_launch_failed",
        "model_deployments.deployment_shutdown_started",
        "model_deployments.deployment_shutdown_succeeded",
        "model_deployments.deployment_shutdown_failed",
        "model_deployments.endpoint_update_started",
        "model_deployments.endpoint_update_succeeded",
        "model_deployments.endpoint_update_failed",
        "model_deployments.management_agent_service_health_green",
        "model_deployments.management_agent_service_health_yellow",
        "model_deployments.management_agent_service_health_red",
        "model_deployments.management_agent_service_health_unknown",
        "model_deployments.predictions_missing_association_id",
        "model_deployments.prediction_result_rows_cleand_up",
        "model_deployments.batch_deleted",
        "model_deployments.batch_creation_limit_reached",
        "model_deployments.batch_creation_limit_exceeded",
        "model_deployments.batch_not_found",
        "model_deployments.predictions_encountered_for_locked_batch",
        "model_deployments.predictions_encountered_for_deleted_batch",
        "model_deployments.scheduled_report_generated",
        "model_deployments.predictions_timeliness_health_red",
        "model_deployments.actuals_timeliness_health_red",
        "model_deployments.service_health_still_red",
        "model_deployments.data_drift_still_red",
        "model_deployments.accuracy_still_red",
        "model_deployments.health.fairness_health.still_red",
        "model_deployments.health.custom_metrics_health.still_red",
        "model_deployments.predictions_timeliness_health_still_red",
        "model_deployments.actuals_timeliness_health_still_red",
        "model_deployments.service_health_still_yellow",
        "model_deployments.data_drift_still_yellow",
        "model_deployments.accuracy_still_yellow",
        "model_deployments.health.fairness_health.still_yellow",
        "model_deployments.health.custom_metrics_health.still_yellow",
        "model_deployments.prediction_payload_parsing_failure",
        "model_deployments.deployment_inference_server_creation_started",
        "model_deployments.deployment_inference_server_creation_failed",
        "model_deployments.deployment_inference_server_creation_completed",
        "model_deployments.deployment_inference_server_deletion",
        "model_deployments.deployment_inference_server_idle_stopped",
        "model_deployments.deployment_inference_server_maintenance_started",
        "entity_notification_policy_template.shared",
        "notification_channel_template.shared",
        "project.created",
        "project.deleted",
        "project.shared",
        "autopilot.complete",
        "autopilot.started",
        "autostart.failure",
        "perma_delete_project.success",
        "perma_delete_project.failure",
        "users_delete.preview_started",
        "users_delete.preview_completed",
        "users_delete.preview_failed",
        "users_delete.started",
        "users_delete.completed",
        "users_delete.failed",
        "application.created",
        "application.shared",
        "model_version.added",
        "model_version.stage_transition_from_registered_to_development",
        "model_version.stage_transition_from_registered_to_staging",
        "model_version.stage_transition_from_registered_to_production",
        "model_version.stage_transition_from_registered_to_archived",
        "model_version.stage_transition_from_development_to_registered",
        "model_version.stage_transition_from_development_to_staging",
        "model_version.stage_transition_from_development_to_production",
        "model_version.stage_transition_from_development_to_archived",
        "model_version.stage_transition_from_staging_to_registered",
        "model_version.stage_transition_from_staging_to_development",
        "model_version.stage_transition_from_staging_to_production",
        "model_version.stage_transition_from_staging_to_archived",
        "model_version.stage_transition_from_production_to_registered",
        "model_version.stage_transition_from_production_to_development",
        "model_version.stage_transition_from_production_to_staging",
        "model_version.stage_transition_from_production_to_archived",
        "model_version.stage_transition_from_archived_to_registered",
        "model_version.stage_transition_from_archived_to_development",
        "model_version.stage_transition_from_archived_to_production",
        "model_version.stage_transition_from_archived_to_staging",
        "use_case.shared",
        "batch_predictions.success",
        "batch_predictions.failed",
        "batch_predictions.scheduler.auto_disabled",
        "change_request.cancelled",
        "change_request.created",
        "change_request.deployment_approval_requested",
        "change_request.resolved",
        "change_request.proposed_changes_updated",
        "change_request.pending",
        "change_request.commenting_review_added",
        "change_request.approving_review_added",
        "change_request.changes_requesting_review_added",
        "custom_job_run.success",
        "custom_job_run.failed",
        "custom_job_run.interrupted",
        "custom_job_run.cancelled",
        "prediction_explanations_computation.None",
        "prediction_explanations_computation.prediction_explanations_preview_job_submitted",
        "prediction_explanations_computation.prediction_explanations_preview_job_completed",
        "prediction_explanations_computation.prediction_explanations_preview_job_failed",
        "monitoring.rate_limit_enforced",
        "notebook_schedule.created",
        "notebook_schedule.failure",
        "notebook_schedule.completed",
        "abstract",
        "moderation.metric.creation_error",
        "moderation.metric.reporting_error",
        "moderation.model.moderation_started",
        "moderation.model.moderation_completed",
        "moderation.model.pre_score_phase_started",
        "moderation.model.pre_score_phase_completed",
        "moderation.model.post_score_phase_started",
        "moderation.model.post_score_phase_completed",
        "moderation.model.config_error",
        "moderation.model.runtime_error",
        "moderation.model.scoring_started",
        "moderation.model.scoring_completed",
        "moderation.model.scoring_error"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "maximalFrequency": {
      "description": "Maximal frequency between policy runs in ISO 8601 duration string.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "name": {
      "description": "The name of the new notification policy.",
      "maxLength": 100,
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "orgId": {
      "description": "The ID of the organization that owns the notification policy.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "relatedEntityId": {
      "description": "The id of related entity.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "relatedEntityType": {
      "description": "The type of the related entity.",
      "enum": [
        "deployment",
        "Deployment",
        "DEPLOYMENT",
        "customjob",
        "Customjob",
        "CUSTOMJOB"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    }
  },
  "required": [
    "channelId",
    "channelScope",
    "name",
    "relatedEntityId",
    "relatedEntityType"
  ],
  "type": "object"
}

Parameters

Name In Type Required Description
body body EntityNotificationPolicyCreate false none

Example responses

201 Response

{
  "properties": {
    "active": {
      "description": "Defines if the notification policy is active or not.",
      "type": "boolean",
      "x-versionadded": "v2.33"
    },
    "channel": {
      "description": "The notification channel information used to send the notification.",
      "properties": {
        "channelType": {
          "description": "The type of the new notification channel.",
          "enum": [
            "DataRobotCustomJob",
            "DataRobotGroup",
            "DataRobotUser",
            "Database",
            "Email",
            "InApp",
            "InsightsComputations",
            "MSTeams",
            "Slack",
            "Webhook"
          ],
          "type": "string",
          "x-versionadded": "v2.33"
        },
        "contentType": {
          "description": "The content type of the messages of the new notification channel.",
          "enum": [
            "application/json",
            "application/x-www-form-urlencoded"
          ],
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "createdAt": {
          "description": "The date of the notification channel creation.",
          "format": "date-time",
          "type": "string",
          "x-versionadded": "v2.33"
        },
        "customHeaders": {
          "description": "Custom headers and their values to be sent in the new notification channel.",
          "items": {
            "properties": {
              "name": {
                "description": "The name of the header.",
                "type": "string"
              },
              "value": {
                "description": "The value of the header.",
                "type": "string"
              }
            },
            "required": [
              "name",
              "value"
            ],
            "type": "object"
          },
          "maxItems": 100,
          "type": "array",
          "x-versionadded": "v2.33"
        },
        "drEntities": {
          "description": "The ids of DataRobot Users or Group for DataRobotUser or DataRobotGroup channel types.",
          "items": {
            "properties": {
              "id": {
                "description": "The id of DataRobot entity.",
                "type": "string",
                "x-versionadded": "v2.33"
              },
              "name": {
                "description": "The name of the entity.",
                "type": "string",
                "x-versionadded": "v2.33"
              }
            },
            "required": [
              "id",
              "name"
            ],
            "type": "object"
          },
          "maxItems": 100,
          "minItems": 1,
          "type": "array",
          "x-versionadded": "v2.33"
        },
        "emailAddress": {
          "description": "The email address to be used in the new notification channel.",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "id": {
          "description": "The ID of the notification channel.",
          "type": "string",
          "x-versionadded": "v2.33"
        },
        "languageCode": {
          "description": "The preferred language code.",
          "enum": [
            "en",
            "es_419",
            "fr",
            "ja",
            "ko",
            "ptBR"
          ],
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "name": {
          "description": "The name of the new notification channel.",
          "type": "string",
          "x-versionadded": "v2.33"
        },
        "orgId": {
          "description": "The ID of the organization that the notification channel belongs to.",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "payloadUrl": {
          "description": "The payload URL of the new notification channel.",
          "format": "uri",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "relatedEntityId": {
          "description": "The id of related entity.",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "relatedEntityType": {
          "description": "Type of related entity.",
          "enum": [
            "deployment",
            "Deployment",
            "DEPLOYMENT",
            "customjob",
            "Customjob",
            "CUSTOMJOB"
          ],
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "secretToken": {
          "description": "Secret token to be used for new notification channel.",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "uid": {
          "description": "The identifier of the user who created the channel.",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "updatedAt": {
          "description": "The date when the channel was updated.",
          "format": "date-time",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "validateSsl": {
          "description": "Whether to validate SSL for the notification channel.",
          "type": [
            "boolean",
            "null"
          ],
          "x-versionadded": "v2.33"
        }
      },
      "required": [
        "channelType",
        "contentType",
        "createdAt",
        "customHeaders",
        "emailAddress",
        "id",
        "languageCode",
        "name",
        "orgId",
        "payloadUrl",
        "secretToken",
        "uid",
        "updatedAt",
        "validateSsl"
      ],
      "type": "object"
    },
    "channelId": {
      "description": "The ID of the notification channel to be used to send the notification.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "channelScope": {
      "description": "Scope of the channel.",
      "enum": [
        "organization",
        "Organization",
        "ORGANIZATION",
        "entity",
        "Entity",
        "ENTITY",
        "template",
        "Template",
        "TEMPLATE"
      ],
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "created": {
      "description": "The date when the policy was created.",
      "format": "date-time",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "eventGroup": {
      "description": "The group of the event that triggers the notification.",
      "properties": {
        "events": {
          "description": "The events included in this group.",
          "items": {
            "description": "The type of the event that triggers the notification.",
            "properties": {
              "id": {
                "description": "The ID of the event type.",
                "type": "string"
              },
              "label": {
                "description": "The display name of the event type.",
                "type": "string"
              }
            },
            "required": [
              "id",
              "label"
            ],
            "type": "object"
          },
          "maxItems": 1000,
          "type": "array"
        },
        "id": {
          "description": "The ID of the event group.",
          "type": "string"
        },
        "label": {
          "description": "The display name of the event group.",
          "type": "string"
        }
      },
      "required": [
        "events",
        "id",
        "label"
      ],
      "type": "object"
    },
    "eventType": {
      "description": "The type of the event that triggers the notification.",
      "properties": {
        "id": {
          "description": "The ID of the event type.",
          "type": "string"
        },
        "label": {
          "description": "The display name of the event type.",
          "type": "string"
        }
      },
      "required": [
        "id",
        "label"
      ],
      "type": "object"
    },
    "id": {
      "description": "The ID of the policy.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "lastTriggered": {
      "description": "The date when the last notification with the policy was triggered.",
      "format": "date-time",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "maximalFrequency": {
      "description": "Maximal frequency between policy runs in ISO 8601 duration string.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "name": {
      "description": "The name of the notification policy.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "orgId": {
      "description": "The ID of the organization that owns the notification policy.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "relatedEntityId": {
      "description": "The id of related entity.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "relatedEntityType": {
      "description": "The type of the related entity.",
      "enum": [
        "deployment",
        "Deployment",
        "DEPLOYMENT",
        "customjob",
        "Customjob",
        "CUSTOMJOB"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "templateId": {
      "description": "The id of template.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "uid": {
      "description": "The identifier of the user who created the policy.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "updatedAt": {
      "description": "The date when the policy was updated.",
      "format": "date-time",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    }
  },
  "required": [
    "active",
    "channel",
    "channelId",
    "channelScope",
    "created",
    "eventGroup",
    "eventType",
    "id",
    "lastTriggered",
    "name",
    "orgId",
    "relatedEntityId",
    "relatedEntityType",
    "templateId",
    "uid",
    "updatedAt"
  ],
  "type": "object"
}

Responses

Status Meaning Description Schema
201 Created Entity notification policy created successfully. EntityNotificationPolicyResponse

List entity notification policies by relatedentitytype

Operation path: GET /api/v2/entityNotificationPolicies/{relatedEntityType}/{relatedEntityId}/

Authentication requirements: BearerAuth

List the entity notification policies that satisfy the query condition.

Parameters

Name In Type Required Description
offset query integer true How many notification channels to skip.
limit query integer true At most this many notification channels to return.
channelId query string false Return policies with this channel.
namePart query string false Only return the notification channels whose names contain the given substring.
eventGroup query string false Return policies with this event group.
channelScope query string false Scope of the channel.
relatedEntityId path string true The id of related entity.
relatedEntityType path string true The type of the related entity.

Enumerated Values

Parameter Value
eventGroup [secure_config.all, dataset.all, file.all, comment.all, invite_job.all, deployment_prediction_explanations_computation.all, model_deployments.critical_health, model_deployments.critical_frequent_health_change, model_deployments.frequent_health_change, model_deployments.health, model_deployments.retraining_policy, inference_endpoints.health, model_deployments.management_agent, model_deployments.management_agent_health, prediction_request.all, challenger_management.all, challenger_replay.all, model_deployments.all, project.all, perma_delete_project.all, users_delete.all, applications.all, model_version.stage_transitions, model_version.all, use_case.all, batch_predictions.all, change_requests.all, custom_job_run.all, custom_job_run.unsuccessful, insights_computation.all, notebook_schedule.all, monitoring.all]
channelScope [organization, Organization, ORGANIZATION, entity, Entity, ENTITY, template, Template, TEMPLATE]
relatedEntityType [deployment, Deployment, DEPLOYMENT, customjob, Customjob, CUSTOMJOB]

Example responses

200 Response

{
  "properties": {
    "count": {
      "description": "The number of entity policies returned.",
      "type": "integer",
      "x-versionadded": "v2.33"
    },
    "data": {
      "description": "The entity notification policies.",
      "items": {
        "properties": {
          "active": {
            "description": "Defines if the notification policy is active or not.",
            "type": "boolean",
            "x-versionadded": "v2.33"
          },
          "channel": {
            "description": "The notification channel information used to send the notification.",
            "properties": {
              "channelType": {
                "description": "The type of the new notification channel.",
                "enum": [
                  "DataRobotCustomJob",
                  "DataRobotGroup",
                  "DataRobotUser",
                  "Database",
                  "Email",
                  "InApp",
                  "InsightsComputations",
                  "MSTeams",
                  "Slack",
                  "Webhook"
                ],
                "type": "string",
                "x-versionadded": "v2.33"
              },
              "contentType": {
                "description": "The content type of the messages of the new notification channel.",
                "enum": [
                  "application/json",
                  "application/x-www-form-urlencoded"
                ],
                "type": [
                  "string",
                  "null"
                ],
                "x-versionadded": "v2.33"
              },
              "createdAt": {
                "description": "The date of the notification channel creation.",
                "format": "date-time",
                "type": "string",
                "x-versionadded": "v2.33"
              },
              "customHeaders": {
                "description": "Custom headers and their values to be sent in the new notification channel.",
                "items": {
                  "properties": {
                    "name": {
                      "description": "The name of the header.",
                      "type": "string"
                    },
                    "value": {
                      "description": "The value of the header.",
                      "type": "string"
                    }
                  },
                  "required": [
                    "name",
                    "value"
                  ],
                  "type": "object"
                },
                "maxItems": 100,
                "type": "array",
                "x-versionadded": "v2.33"
              },
              "drEntities": {
                "description": "The ids of DataRobot Users or Group for DataRobotUser or DataRobotGroup channel types.",
                "items": {
                  "properties": {
                    "id": {
                      "description": "The id of DataRobot entity.",
                      "type": "string",
                      "x-versionadded": "v2.33"
                    },
                    "name": {
                      "description": "The name of the entity.",
                      "type": "string",
                      "x-versionadded": "v2.33"
                    }
                  },
                  "required": [
                    "id",
                    "name"
                  ],
                  "type": "object"
                },
                "maxItems": 100,
                "minItems": 1,
                "type": "array",
                "x-versionadded": "v2.33"
              },
              "emailAddress": {
                "description": "The email address to be used in the new notification channel.",
                "type": [
                  "string",
                  "null"
                ],
                "x-versionadded": "v2.33"
              },
              "id": {
                "description": "The ID of the notification channel.",
                "type": "string",
                "x-versionadded": "v2.33"
              },
              "languageCode": {
                "description": "The preferred language code.",
                "enum": [
                  "en",
                  "es_419",
                  "fr",
                  "ja",
                  "ko",
                  "ptBR"
                ],
                "type": [
                  "string",
                  "null"
                ],
                "x-versionadded": "v2.33"
              },
              "name": {
                "description": "The name of the new notification channel.",
                "type": "string",
                "x-versionadded": "v2.33"
              },
              "orgId": {
                "description": "The ID of the organization that the notification channel belongs to.",
                "type": [
                  "string",
                  "null"
                ],
                "x-versionadded": "v2.33"
              },
              "payloadUrl": {
                "description": "The payload URL of the new notification channel.",
                "format": "uri",
                "type": [
                  "string",
                  "null"
                ],
                "x-versionadded": "v2.33"
              },
              "relatedEntityId": {
                "description": "The id of related entity.",
                "type": [
                  "string",
                  "null"
                ],
                "x-versionadded": "v2.33"
              },
              "relatedEntityType": {
                "description": "Type of related entity.",
                "enum": [
                  "deployment",
                  "Deployment",
                  "DEPLOYMENT",
                  "customjob",
                  "Customjob",
                  "CUSTOMJOB"
                ],
                "type": [
                  "string",
                  "null"
                ],
                "x-versionadded": "v2.33"
              },
              "secretToken": {
                "description": "Secret token to be used for new notification channel.",
                "type": [
                  "string",
                  "null"
                ],
                "x-versionadded": "v2.33"
              },
              "uid": {
                "description": "The identifier of the user who created the channel.",
                "type": [
                  "string",
                  "null"
                ],
                "x-versionadded": "v2.33"
              },
              "updatedAt": {
                "description": "The date when the channel was updated.",
                "format": "date-time",
                "type": [
                  "string",
                  "null"
                ],
                "x-versionadded": "v2.33"
              },
              "validateSsl": {
                "description": "Whether to validate SSL for the notification channel.",
                "type": [
                  "boolean",
                  "null"
                ],
                "x-versionadded": "v2.33"
              }
            },
            "required": [
              "channelType",
              "contentType",
              "createdAt",
              "customHeaders",
              "emailAddress",
              "id",
              "languageCode",
              "name",
              "orgId",
              "payloadUrl",
              "secretToken",
              "uid",
              "updatedAt",
              "validateSsl"
            ],
            "type": "object"
          },
          "channelId": {
            "description": "The ID of the notification channel to be used to send the notification.",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "channelScope": {
            "description": "Scope of the channel.",
            "enum": [
              "organization",
              "Organization",
              "ORGANIZATION",
              "entity",
              "Entity",
              "ENTITY",
              "template",
              "Template",
              "TEMPLATE"
            ],
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "created": {
            "description": "The date when the policy was created.",
            "format": "date-time",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "eventGroup": {
            "description": "The group of the event that triggers the notification.",
            "properties": {
              "events": {
                "description": "The events included in this group.",
                "items": {
                  "description": "The type of the event that triggers the notification.",
                  "properties": {
                    "id": {
                      "description": "The ID of the event type.",
                      "type": "string"
                    },
                    "label": {
                      "description": "The display name of the event type.",
                      "type": "string"
                    }
                  },
                  "required": [
                    "id",
                    "label"
                  ],
                  "type": "object"
                },
                "maxItems": 1000,
                "type": "array"
              },
              "id": {
                "description": "The ID of the event group.",
                "type": "string"
              },
              "label": {
                "description": "The display name of the event group.",
                "type": "string"
              }
            },
            "required": [
              "events",
              "id",
              "label"
            ],
            "type": "object"
          },
          "eventType": {
            "description": "The type of the event that triggers the notification.",
            "properties": {
              "id": {
                "description": "The ID of the event type.",
                "type": "string"
              },
              "label": {
                "description": "The display name of the event type.",
                "type": "string"
              }
            },
            "required": [
              "id",
              "label"
            ],
            "type": "object"
          },
          "id": {
            "description": "The ID of the policy.",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "lastTriggered": {
            "description": "The date when the last notification with the policy was triggered.",
            "format": "date-time",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "maximalFrequency": {
            "description": "Maximal frequency between policy runs in ISO 8601 duration string.",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "name": {
            "description": "The name of the notification policy.",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "orgId": {
            "description": "The ID of the organization that owns the notification policy.",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "relatedEntityId": {
            "description": "The id of related entity.",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "relatedEntityType": {
            "description": "The type of the related entity.",
            "enum": [
              "deployment",
              "Deployment",
              "DEPLOYMENT",
              "customjob",
              "Customjob",
              "CUSTOMJOB"
            ],
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "templateId": {
            "description": "The id of template.",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          },
          "uid": {
            "description": "The identifier of the user who created the policy.",
            "type": "string",
            "x-versionadded": "v2.33"
          },
          "updatedAt": {
            "description": "The date when the policy was updated.",
            "format": "date-time",
            "type": [
              "string",
              "null"
            ],
            "x-versionadded": "v2.33"
          }
        },
        "required": [
          "active",
          "channel",
          "channelId",
          "channelScope",
          "created",
          "eventGroup",
          "eventType",
          "id",
          "lastTriggered",
          "name",
          "orgId",
          "relatedEntityId",
          "relatedEntityType",
          "templateId",
          "uid",
          "updatedAt"
        ],
        "type": "object"
      },
      "maxItems": 1000,
      "type": "array",
      "x-versionadded": "v2.33"
    },
    "next": {
      "description": "The URL pointing to the next page.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "previous": {
      "description": "The URL pointing to the previous page.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "totalCount": {
      "description": "The total number of entity policies that satisfy the query.",
      "type": "integer",
      "x-versionadded": "v2.33"
    }
  },
  "required": [
    "count",
    "data",
    "next",
    "previous",
    "totalCount"
  ],
  "type": "object"
}

Responses

Status Meaning Description Schema
200 OK Entity notification policies listed successfully. EntityNotificationPoliciesListResponse

Delete an entity notification policy by relatedentitytype

Operation path: DELETE /api/v2/entityNotificationPolicies/{relatedEntityType}/{relatedEntityId}/{policyId}/

Authentication requirements: BearerAuth

Delete the entity notification policy.

Parameters

Name In Type Required Description
policyId path string true The ID of the notification policy.
relatedEntityId path string true The id of related entity.
relatedEntityType path string true The type of the related entity.

Enumerated Values

Parameter Value
relatedEntityType [deployment, Deployment, DEPLOYMENT, customjob, Customjob, CUSTOMJOB]

Responses

Status Meaning Description Schema
204 No Content Entity notification policy deleted successfully. None

Retrieve an entity notification policy by relatedentitytype

Operation path: GET /api/v2/entityNotificationPolicies/{relatedEntityType}/{relatedEntityId}/{policyId}/

Authentication requirements: BearerAuth

Retrieve the entity notification policy.

Parameters

Name In Type Required Description
policyId path string true The ID of the notification policy.
relatedEntityId path string true The id of related entity.
relatedEntityType path string true The type of the related entity.

Enumerated Values

Parameter Value
relatedEntityType [deployment, Deployment, DEPLOYMENT, customjob, Customjob, CUSTOMJOB]

Example responses

200 Response

{
  "properties": {
    "active": {
      "description": "Defines if the notification policy is active or not.",
      "type": "boolean",
      "x-versionadded": "v2.33"
    },
    "channel": {
      "description": "The notification channel information used to send the notification.",
      "properties": {
        "channelType": {
          "description": "The type of the new notification channel.",
          "enum": [
            "DataRobotCustomJob",
            "DataRobotGroup",
            "DataRobotUser",
            "Database",
            "Email",
            "InApp",
            "InsightsComputations",
            "MSTeams",
            "Slack",
            "Webhook"
          ],
          "type": "string",
          "x-versionadded": "v2.33"
        },
        "contentType": {
          "description": "The content type of the messages of the new notification channel.",
          "enum": [
            "application/json",
            "application/x-www-form-urlencoded"
          ],
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "createdAt": {
          "description": "The date of the notification channel creation.",
          "format": "date-time",
          "type": "string",
          "x-versionadded": "v2.33"
        },
        "customHeaders": {
          "description": "Custom headers and their values to be sent in the new notification channel.",
          "items": {
            "properties": {
              "name": {
                "description": "The name of the header.",
                "type": "string"
              },
              "value": {
                "description": "The value of the header.",
                "type": "string"
              }
            },
            "required": [
              "name",
              "value"
            ],
            "type": "object"
          },
          "maxItems": 100,
          "type": "array",
          "x-versionadded": "v2.33"
        },
        "drEntities": {
          "description": "The ids of DataRobot Users or Group for DataRobotUser or DataRobotGroup channel types.",
          "items": {
            "properties": {
              "id": {
                "description": "The id of DataRobot entity.",
                "type": "string",
                "x-versionadded": "v2.33"
              },
              "name": {
                "description": "The name of the entity.",
                "type": "string",
                "x-versionadded": "v2.33"
              }
            },
            "required": [
              "id",
              "name"
            ],
            "type": "object"
          },
          "maxItems": 100,
          "minItems": 1,
          "type": "array",
          "x-versionadded": "v2.33"
        },
        "emailAddress": {
          "description": "The email address to be used in the new notification channel.",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "id": {
          "description": "The ID of the notification channel.",
          "type": "string",
          "x-versionadded": "v2.33"
        },
        "languageCode": {
          "description": "The preferred language code.",
          "enum": [
            "en",
            "es_419",
            "fr",
            "ja",
            "ko",
            "ptBR"
          ],
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "name": {
          "description": "The name of the new notification channel.",
          "type": "string",
          "x-versionadded": "v2.33"
        },
        "orgId": {
          "description": "The ID of the organization that the notification channel belongs to.",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "payloadUrl": {
          "description": "The payload URL of the new notification channel.",
          "format": "uri",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "relatedEntityId": {
          "description": "The id of related entity.",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "relatedEntityType": {
          "description": "Type of related entity.",
          "enum": [
            "deployment",
            "Deployment",
            "DEPLOYMENT",
            "customjob",
            "Customjob",
            "CUSTOMJOB"
          ],
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "secretToken": {
          "description": "Secret token to be used for new notification channel.",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "uid": {
          "description": "The identifier of the user who created the channel.",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "updatedAt": {
          "description": "The date when the channel was updated.",
          "format": "date-time",
          "type": [
            "string",
            "null"
          ],
          "x-versionadded": "v2.33"
        },
        "validateSsl": {
          "description": "Whether to validate SSL for the notification channel.",
          "type": [
            "boolean",
            "null"
          ],
          "x-versionadded": "v2.33"
        }
      },
      "required": [
        "channelType",
        "contentType",
        "createdAt",
        "customHeaders",
        "emailAddress",
        "id",
        "languageCode",
        "name",
        "orgId",
        "payloadUrl",
        "secretToken",
        "uid",
        "updatedAt",
        "validateSsl"
      ],
      "type": "object"
    },
    "channelId": {
      "description": "The ID of the notification channel to be used to send the notification.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "channelScope": {
      "description": "Scope of the channel.",
      "enum": [
        "organization",
        "Organization",
        "ORGANIZATION",
        "entity",
        "Entity",
        "ENTITY",
        "template",
        "Template",
        "TEMPLATE"
      ],
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "created": {
      "description": "The date when the policy was created.",
      "format": "date-time",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "eventGroup": {
      "description": "The group of the event that triggers the notification.",
      "properties": {
        "events": {
          "description": "The events included in this group.",
          "items": {
            "description": "The type of the event that triggers the notification.",
            "properties": {
              "id": {
                "description": "The ID of the event type.",
                "type": "string"
              },
              "label": {
                "description": "The display name of the event type.",
                "type": "string"
              }
            },
            "required": [
              "id",
              "label"
            ],
            "type": "object"
          },
          "maxItems": 1000,
          "type": "array"
        },
        "id": {
          "description": "The ID of the event group.",
          "type": "string"
        },
        "label": {
          "description": "The display name of the event group.",
          "type": "string"
        }
      },
      "required": [
        "events",
        "id",
        "label"
      ],
      "type": "object"
    },
    "eventType": {
      "description": "The type of the event that triggers the notification.",
      "properties": {
        "id": {
          "description": "The ID of the event type.",
          "type": "string"
        },
        "label": {
          "description": "The display name of the event type.",
          "type": "string"
        }
      },
      "required": [
        "id",
        "label"
      ],
      "type": "object"
    },
    "id": {
      "description": "The ID of the policy.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "lastTriggered": {
      "description": "The date when the last notification with the policy was triggered.",
      "format": "date-time",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "maximalFrequency": {
      "description": "Maximal frequency between policy runs in ISO 8601 duration string.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "name": {
      "description": "The name of the notification policy.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "orgId": {
      "description": "The ID of the organization that owns the notification policy.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "relatedEntityId": {
      "description": "The id of related entity.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "relatedEntityType": {
      "description": "The type of the related entity.",
      "enum": [
        "deployment",
        "Deployment",
        "DEPLOYMENT",
        "customjob",
        "Customjob",
        "CUSTOMJOB"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "templateId": {
      "description": "The id of template.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "uid": {
      "description": "The identifier of the user who created the policy.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "updatedAt": {
      "description": "The date when the policy was updated.",
      "format": "date-time",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    }
  },
  "required": [
    "active",
    "channel",
    "channelId",
    "channelScope",
    "created",
    "eventGroup",
    "eventType",
    "id",
    "lastTriggered",
    "name",
    "orgId",
    "relatedEntityId",
    "relatedEntityType",
    "templateId",
    "uid",
    "updatedAt"
  ],
  "type": "object"
}

Responses

Status Meaning Description Schema
200 OK Entity notification policy retrieved successfully. EntityNotificationPolicyResponse

Update an entity notification policy by relatedentitytype

Operation path: PUT /api/v2/entityNotificationPolicies/{relatedEntityType}/{relatedEntityId}/{policyId}/

Authentication requirements: BearerAuth

Update the entity notification policy.

Body parameter

{
  "properties": {
    "active": {
      "description": "Whether the notification policy is active or not.",
      "type": "boolean",
      "x-versionadded": "v2.33"
    },
    "channelId": {
      "description": "The ID of the notification channel to be used to send the notification.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "channelScope": {
      "description": "Scope of the channel.",
      "enum": [
        "organization",
        "Organization",
        "ORGANIZATION",
        "entity",
        "Entity",
        "ENTITY",
        "template",
        "Template",
        "TEMPLATE"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "eventGroup": {
      "description": "The group of the event that triggers the notification.",
      "enum": [
        "secure_config.all",
        "dataset.all",
        "file.all",
        "comment.all",
        "invite_job.all",
        "deployment_prediction_explanations_computation.all",
        "model_deployments.critical_health",
        "model_deployments.critical_frequent_health_change",
        "model_deployments.frequent_health_change",
        "model_deployments.health",
        "model_deployments.retraining_policy",
        "inference_endpoints.health",
        "model_deployments.management_agent",
        "model_deployments.management_agent_health",
        "prediction_request.all",
        "challenger_management.all",
        "challenger_replay.all",
        "model_deployments.all",
        "project.all",
        "perma_delete_project.all",
        "users_delete.all",
        "applications.all",
        "model_version.stage_transitions",
        "model_version.all",
        "use_case.all",
        "batch_predictions.all",
        "change_requests.all",
        "custom_job_run.all",
        "custom_job_run.unsuccessful",
        "insights_computation.all",
        "notebook_schedule.all",
        "monitoring.all"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "eventType": {
      "description": "The type of the event that triggers the notification.",
      "enum": [
        "secure_config.created",
        "secure_config.deleted",
        "secure_config.shared",
        "dataset.created",
        "dataset.registered",
        "dataset.deleted",
        "datasets.deleted",
        "datasetrelationship.created",
        "dataset.shared",
        "datasets.shared",
        "file.created",
        "file.registered",
        "file.deleted",
        "file.shared",
        "comment.created",
        "comment.updated",
        "invite_job.completed",
        "misc.asset_access_request",
        "misc.webhook_connection_test",
        "misc.webhook_resend",
        "misc.email_verification",
        "monitoring.spooler_channel_base",
        "monitoring.spooler_channel_red",
        "monitoring.spooler_channel_green",
        "monitoring.external_model_nan_predictions",
        "management.deploymentInfo",
        "model_deployments.None",
        "model_deployments.deployment_sharing",
        "model_deployments.model_replacement",
        "prediction_request.None",
        "prediction_request.failed",
        "model_deployments.humility_rule",
        "model_deployments.model_replacement_lifecycle",
        "model_deployments.model_replacement_started",
        "model_deployments.model_replacement_succeeded",
        "model_deployments.model_replacement_failed",
        "model_deployments.model_replacement_validation_warning",
        "model_deployments.deployment_creation",
        "model_deployments.deployment_deletion",
        "model_deployments.service_health_yellow_from_green",
        "model_deployments.service_health_yellow_from_red",
        "model_deployments.service_health_red",
        "model_deployments.data_drift_yellow_from_green",
        "model_deployments.data_drift_yellow_from_red",
        "model_deployments.data_drift_red",
        "model_deployments.accuracy_yellow_from_green",
        "model_deployments.accuracy_yellow_from_red",
        "model_deployments.accuracy_red",
        "model_deployments.health.fairness_health.green_to_yellow",
        "model_deployments.health.fairness_health.red_to_yellow",
        "model_deployments.health.fairness_health.red",
        "model_deployments.health.custom_metrics_health.green_to_yellow",
        "model_deployments.health.custom_metrics_health.red_to_yellow",
        "model_deployments.health.custom_metrics_health.red",
        "model_deployments.health.base.green",
        "model_deployments.service_health_green",
        "model_deployments.data_drift_green",
        "model_deployments.accuracy_green",
        "model_deployments.health.fairness_health.green",
        "model_deployments.health.custom_metrics_health.green",
        "model_deployments.retraining_policy_run_started",
        "model_deployments.retraining_policy_run_succeeded",
        "model_deployments.retraining_policy_run_failed",
        "model_deployments.challenger_scoring_success",
        "model_deployments.challenger_scoring_data_warning",
        "model_deployments.challenger_scoring_failure",
        "model_deployments.challenger_scoring_started",
        "model_deployments.challenger_model_validation_warning",
        "model_deployments.challenger_model_created",
        "model_deployments.challenger_model_deleted",
        "model_deployments.actuals_upload_failed",
        "model_deployments.actuals_upload_warning",
        "model_deployments.training_data_baseline_calculation_started",
        "model_deployments.training_data_baseline_calculation_completed",
        "model_deployments.training_data_baseline_failed",
        "model_deployments.custom_model_deployment_creation_started",
        "model_deployments.custom_model_deployment_creation_completed",
        "model_deployments.custom_model_deployment_creation_failed",
        "model_deployments.custom_model_deployment_secure_config_failure",
        "model_deployments.deployment_prediction_explanations_preview_job_submitted",
        "model_deployments.deployment_prediction_explanations_preview_job_completed",
        "model_deployments.deployment_prediction_explanations_preview_job_failed",
        "model_deployments.custom_model_deployment_activated",
        "model_deployments.custom_model_deployment_activation_failed",
        "model_deployments.custom_model_deployment_deactivated",
        "model_deployments.custom_model_deployment_deactivation_failed",
        "model_deployments.prediction_processing_rate_limit_reached",
        "model_deployments.prediction_data_processing_rate_limit_reached",
        "model_deployments.prediction_data_processing_rate_limit_warning",
        "model_deployments.actuals_processing_rate_limit_reached",
        "model_deployments.actuals_processing_rate_limit_warning",
        "model_deployments.deployment_monitoring_data_cleared",
        "model_deployments.deployment_launch_started",
        "model_deployments.deployment_launch_succeeded",
        "model_deployments.deployment_launch_failed",
        "model_deployments.deployment_shutdown_started",
        "model_deployments.deployment_shutdown_succeeded",
        "model_deployments.deployment_shutdown_failed",
        "model_deployments.endpoint_update_started",
        "model_deployments.endpoint_update_succeeded",
        "model_deployments.endpoint_update_failed",
        "model_deployments.management_agent_service_health_green",
        "model_deployments.management_agent_service_health_yellow",
        "model_deployments.management_agent_service_health_red",
        "model_deployments.management_agent_service_health_unknown",
        "model_deployments.predictions_missing_association_id",
        "model_deployments.prediction_result_rows_cleand_up",
        "model_deployments.batch_deleted",
        "model_deployments.batch_creation_limit_reached",
        "model_deployments.batch_creation_limit_exceeded",
        "model_deployments.batch_not_found",
        "model_deployments.predictions_encountered_for_locked_batch",
        "model_deployments.predictions_encountered_for_deleted_batch",
        "model_deployments.scheduled_report_generated",
        "model_deployments.predictions_timeliness_health_red",
        "model_deployments.actuals_timeliness_health_red",
        "model_deployments.service_health_still_red",
        "model_deployments.data_drift_still_red",
        "model_deployments.accuracy_still_red",
        "model_deployments.health.fairness_health.still_red",
        "model_deployments.health.custom_metrics_health.still_red",
        "model_deployments.predictions_timeliness_health_still_red",
        "model_deployments.actuals_timeliness_health_still_red",
        "model_deployments.service_health_still_yellow",
        "model_deployments.data_drift_still_yellow",
        "model_deployments.accuracy_still_yellow",
        "model_deployments.health.fairness_health.still_yellow",
        "model_deployments.health.custom_metrics_health.still_yellow",
        "model_deployments.prediction_payload_parsing_failure",
        "model_deployments.deployment_inference_server_creation_started",
        "model_deployments.deployment_inference_server_creation_failed",
        "model_deployments.deployment_inference_server_creation_completed",
        "model_deployments.deployment_inference_server_deletion",
        "model_deployments.deployment_inference_server_idle_stopped",
        "model_deployments.deployment_inference_server_maintenance_started",
        "entity_notification_policy_template.shared",
        "notification_channel_template.shared",
        "project.created",
        "project.deleted",
        "project.shared",
        "autopilot.complete",
        "autopilot.started",
        "autostart.failure",
        "perma_delete_project.success",
        "perma_delete_project.failure",
        "users_delete.preview_started",
        "users_delete.preview_completed",
        "users_delete.preview_failed",
        "users_delete.started",
        "users_delete.completed",
        "users_delete.failed",
        "application.created",
        "application.shared",
        "model_version.added",
        "model_version.stage_transition_from_registered_to_development",
        "model_version.stage_transition_from_registered_to_staging",
        "model_version.stage_transition_from_registered_to_production",
        "model_version.stage_transition_from_registered_to_archived",
        "model_version.stage_transition_from_development_to_registered",
        "model_version.stage_transition_from_development_to_staging",
        "model_version.stage_transition_from_development_to_production",
        "model_version.stage_transition_from_development_to_archived",
        "model_version.stage_transition_from_staging_to_registered",
        "model_version.stage_transition_from_staging_to_development",
        "model_version.stage_transition_from_staging_to_production",
        "model_version.stage_transition_from_staging_to_archived",
        "model_version.stage_transition_from_production_to_registered",
        "model_version.stage_transition_from_production_to_development",
        "model_version.stage_transition_from_production_to_staging",
        "model_version.stage_transition_from_production_to_archived",
        "model_version.stage_transition_from_archived_to_registered",
        "model_version.stage_transition_from_archived_to_development",
        "model_version.stage_transition_from_archived_to_production",
        "model_version.stage_transition_from_archived_to_staging",
        "use_case.shared",
        "batch_predictions.success",
        "batch_predictions.failed",
        "batch_predictions.scheduler.auto_disabled",
        "change_request.cancelled",
        "change_request.created",
        "change_request.deployment_approval_requested",
        "change_request.resolved",
        "change_request.proposed_changes_updated",
        "change_request.pending",
        "change_request.commenting_review_added",
        "change_request.approving_review_added",
        "change_request.changes_requesting_review_added",
        "custom_job_run.success",
        "custom_job_run.failed",
        "custom_job_run.interrupted",
        "custom_job_run.cancelled",
        "prediction_explanations_computation.None",
        "prediction_explanations_computation.prediction_explanations_preview_job_submitted",
        "prediction_explanations_computation.prediction_explanations_preview_job_completed",
        "prediction_explanations_computation.prediction_explanations_preview_job_failed",
        "monitoring.rate_limit_enforced",
        "notebook_schedule.created",
        "notebook_schedule.failure",
        "notebook_schedule.completed",
        "abstract",
        "moderation.metric.creation_error",
        "moderation.metric.reporting_error",
        "moderation.model.moderation_started",
        "moderation.model.moderation_completed",
        "moderation.model.pre_score_phase_started",
        "moderation.model.pre_score_phase_completed",
        "moderation.model.post_score_phase_started",
        "moderation.model.post_score_phase_completed",
        "moderation.model.config_error",
        "moderation.model.runtime_error",
        "moderation.model.scoring_started",
        "moderation.model.scoring_completed",
        "moderation.model.scoring_error"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "maximalFrequency": {
      "description": "Maximal frequency between policy runs in ISO 8601 duration string.",
      "type": [
        "string",
        "null"
      ],
      "x-versionadded": "v2.33"
    },
    "name": {
      "description": "The name of the notification policy.",
      "maxLength": 100,
      "type": "string",
      "x-versionadded": "v2.33"
    }
  },
  "type": "object"
}

Parameters

Name In Type Required Description
policyId path string true The ID of the notification policy.
relatedEntityId path string true The id of related entity.
relatedEntityType path string true The type of the related entity.
body body EntityNotificationPolicyUpdate false none

Enumerated Values

Parameter Value
relatedEntityType [deployment, Deployment, DEPLOYMENT, customjob, Customjob, CUSTOMJOB]

Responses

Status Meaning Description Schema
204 No Content Entity notification policy updated successfully. None

Create an entity notification policy

Operation path: POST /api/v2/entityNotificationPoliciesFromTemplate/

Authentication requirements: BearerAuth

Create a new entity notification policy from template.

Body parameter

{
  "properties": {
    "active": {
      "description": "Whether the notification policy is active or not.",
      "type": "boolean",
      "x-versionadded": "v2.33"
    },
    "name": {
      "description": "The name of the new notification policy.",
      "maxLength": 100,
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "relatedEntityId": {
      "description": "The id of related entity.",
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "relatedEntityType": {
      "description": "The type of the related entity.",
      "enum": [
        "deployment",
        "Deployment",
        "DEPLOYMENT",
        "customjob",
        "Customjob",
        "CUSTOMJOB"
      ],
      "type": "string",
      "x-versionadded": "v2.33"
    },
    "templateId": {
      "description": "The id of template.",
      "type": "string",
      "x-versionadded": "v2.33"
    }
  },
  "required": [
    "name",
    "relatedEntityId",
    "relatedEntityType",
    "templateId"
  ],
  "type": "object"
}

Parameters

Name In Type Required Description
body body EntityNotificationPolicyCreateFromTemplate false none

[...]
